package probe

import (
	discoveryM "git.loafle.net/overflow/overflow_commons_go/modules/discovery/model"
)

type DiscoveryService interface {
	// use by central
	DiscoverZone(dz *discoveryM.DiscoveryZone) error
	DiscoverHost(zone *discoveryM.Zone, dz *discoveryM.DiscoveryHost) error
	DiscoverPort(host *discoveryM.Host, dz *discoveryM.DiscoveryPort) error
	DiscoverService(port *discoveryM.Port, dz *discoveryM.DiscoveryService) error

	// use by discovery
	DiscoveredZone(zone *discoveryM.Zone) error
	DiscoveredHost(host *discoveryM.Host) error
	DiscoveredPort(port *discoveryM.Port) error
	DiscoveredService(service *discoveryM.Service) error
}
